Skip to main content
`Ctrl`+`K`

# PetscDrawAxisDraw

draws an axis.

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawAxisDraw(PetscDrawAxis axis)

Collective

## Input Parameter

- axis - `PetscDrawAxis` structure

## Note

This draws the actual axis. The limits etc have already been set. By picking special routines for the ticks and labels, special effects may be generated. These routines are part of the Axis structure (axis).

## See Also

`PetscDrawAxisCreate()`, `PetscDrawAxis`, `PetscDrawAxisGetLimits()`, `PetscDrawAxisSetLimits()`, `PetscDrawAxisSetLabels()`, `PetscDrawAxisSetColors()`

## Level

advanced

## Location

src/sys/classes/draw/utils/axisc.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages